using Interop.NeoTicker;
using KreslikLib.Neo.JukeBox;

namespace MyIDLIndicatorNamespace
{
    // usage example:
    // MyIndicatorClass is your original IDL indicator

    public class EntryPointClass : IDLIndicator
    {
        NTIndicatorJukeBox<MyIndicatorClass> JukeBox;

        public EntryPointClass()
        {
            JukeBox = new NTIndicatorJukeBox<MyIndicatorClass>();
        }

        public double IDLCallEx(NTIndicatorObjects N)
        {
            return JukeBox.IDLCallSong(N);
        }
    }

    public class MyIndicatorClass : Song
    {
        double HighestHigh = 0;
        double CurrentHigh;

        public override double IDLCall(NTIndicatorObjects N)
        {
            CurrentHigh = N.LinkSeries().get_Items(1).get_High(0);

            HighestHigh = CurrentHigh > HighestHigh ? CurrentHigh : HighestHigh;

            return HighestHigh;
        }
    }
}